Subject: source not found in sh
From: David Starks-Browning <[email-masked]>
To: ABAK Systemes <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 May 2001 15:30:40 +0100

On Wednesday 16 May 01, ABAK Systemes writes:
> Hello
> 
> 'source file' works fine in bash (cygwin 1.1.8). But in a shell script I
> get the following error:
> 
> source not found
> 
> When I replace source by . everything is OK. 

There is a FAQ entry "Why doesn't my script work" (I'll change it to
"why doesn't my shell script work"), which points out that /bin/sh is
ash, not bash.  Apparently 'source' is a bash-ism, not an ash-ism, and
I'll add this to the list of missing features.  (Unless it someone
corrects me and explains otherwise.)

If you need bash features in your script, use

	#! /bin/bash

rather than

	#! /bin/sh

Hope this helps.

Regards,
David
Cygwin FAQ maintainer

 -------------------------------------------------------------------
  David Starks-Browning                  | [email-masked]
  EMBL Outstation --                     |
  The European Bioinformatics Institute  |
  Wellcome Trust Genome Campus           | tel: +44 (1223) 494 616
  Hinxton, Cambridge, CB10 1SD, UK       | fax: +44 (1223) 494 468
 -------------------------------------------------------------------

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple